Subject: Re: bug report on update-index --assume-unchanged

From: Andreas Schwab <[email-masked]>
Date: Fri, 05 Dec 2014 23:18:03 +0100

"Philip Oakley" <[email-masked]> writes:

> However the man page's statement 'When the "assume unchanged" bit is on,
> Git stops checking the working tree files for possible modifications, so
> you need to manually unset the bit to tell Git when you change the working
> tree file.' can easily be understood the way Sergio has described. Git
> stops checking so it won't notice any changes, which is a contract it
> doesn't keep.

The contract is: when you change the working tree file, you must tell
Git about it.  Failure to do so is a breach of the contract.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."